<?php
/*
Plugin Name: مکمل افزونه پیامک ووکامرس IPPANEL
Version: 2.4
Description: این افزونه امکان استفاده از سامانه های پیامک ippanel در افزونه پیامک حرفه ای ووکامرس را فراهم می کند.
*/

 if ( ! defined( 'ABSPATH' ) ) { exit; } if ( ! function_exists( 'is_plugin_active' ) ) { include_once( ABSPATH . '/wp-admin/includes/plugin.php' ); } function check_woocommerce_sms_plugin() { if ( !is_plugin_active( 'persian-woocommerce-sms/WoocommerceIR_SMS.php' ) ) { add_action( 'admin_notices', 'show_sms_plugin_error' ); deactivate_plugins( plugin_basename( __FILE__ ) ); } } function show_sms_plugin_error() { ?>
    <div class="notice notice-error">
        <p><?php _e( 'افزونه مکمل IPPANEL تنها وقتی کار می‌کند که شما افزونه پیامک حرفه‌ای ووکامرس را نصب و فعال کرده باشید. لطفا پس از نصب افزونه پیامک ووکامرس این افزونه مکمل را فعال نمایید.', 'my-text-domain' ); ?></p>
    </div>
    <?php
} function get_file_version( $file_path ) { $file_content = file_get_contents( $file_path ); if ( preg_match( '/Version:\s*(\d+\.\d+)/', $file_content, $matches ) ) { return $matches[1]; } return null; } function pwoo_sms_ippanel_activate() { $source_file = plugin_dir_path( __FILE__ ) . 'ippanelClass.php'; $destination_dir = WP_PLUGIN_DIR . '/persian-woocommerce-sms/src/Gateways'; $destination_file = $destination_dir . '/IppanelSms.php'; $required_version = '2.4'; if ( file_exists( $destination_file ) ) { $current_version = get_file_version( $destination_file ); if ( !$current_version || version_compare( $current_version, $required_version, '<' ) ) { copy( $source_file, $destination_file ); } } else { if ( file_exists( $source_file ) ) { if ( !is_dir( $destination_dir ) ) { mkdir( $destination_dir, 0755, true ); } copy( $source_file, $destination_file ); } else { wp_die( 'فایل IppanelSms.php در پوشه افزونه شما پیدا نشد.' ); } } } add_action( 'admin_init', 'check_woocommerce_sms_plugin' ); register_activation_hook( __FILE__, 'pwoo_sms_ippanel_activate' ); add_action( 'pwoosms_settings_form_bottom_sms_main_settings', 'ippanelsms_admin_settings'); add_action( 'pwoosms_settings_form_bottom_sms_super_admin_settings', 'ippanelsms_patternscript'); add_action( 'pwoosms_settings_form_bottom_sms_buyer_settings', 'ippanelsms_patternscript'); add_action( 'pwoosms_settings_form_bottom_sms_product_admin_settings', 'ippanelsms_patternscript'); add_action( 'pwoosms_settings_form_bottom_sms_notif_settings', 'ippanelsms_patternscript',10,1); add_action( 'wp_ajax_pwoo_sms_ippanel_CheckPattern', 'ippanelsms_checkPattern') ; add_action( 'wp_ajax_pwoo_sms_ippanel_test', 'ippanelsms_sendtest'); function ippanelsms_admin_settings(){ if(PWSMS()->get_option( 'sms_gateway' ) == 'PW\PWSMS\Gateways\IppanelSms'){ $credit = ippanelsms_getCredit(); if(is_numeric($credit)){ $credit_help = ''; if($credit < 10000 && $credit > 1000) { $alertClass = "notice-warning"; $credit_help = ' (<i> جهت شارژ اعتبار به پنل پیامک مراجعه و گزینه شارژ حساب را کلیک نمایید. </i>)'; } elseif ($credit < 1000){ $alertClass = "notice-error"; $credit_help = ' (<i> جهت شارژ اعتبار به پنل پیامک مراجعه و گزینه شارژ حساب را کلیک نمایید. </i>)'; } else { $alertClass = "notice-info"; } $credit = number_format($credit).' ریال '.$credit_help; $panelExpire = ippanelsms_userPanel(); $expire_help = ''; if(is_numeric($panelExpire) && $panelExpire < 15){ $alertClass = "notice-warning"; $expire_help = ' ( <i>برای تمدید پنل با پشتیبان سامانه پیامک تماس بگیرید.</i> )'; } } else { $credit = 'امکان بررسی اعتبار شما از پنل پیامک نیست. خطای درگاه: '.$credit; $alertClass = "notice-error"; $panelExpire = ippanelsms_userPanel(); } $ippanelBox = '<div class="ippanelnotice '.$alertClass.'"><strong>اطلاعات پنل پیامک</strong><br><br>'; $ippanelBox .= '<strong>اعتبار پنل: </strong><span>'.$credit.' </span><br>'; $ippanelBox .= '<strong>تعداد روز مانده تا انقضای پنل : </strong><span>'.$panelExpire.$expire_help.' </span><br>'; $ippanelBox .= '</div><style>
.ippanelnotice {
background: #fff;
border: 1px solid #ccd0d4;
border-right-width: 4px;
box-shadow: 0 1px 1px rgba(0,0,0,.04);
margin: 5px 15px 2px;
padding: 10px;
}
.ippanelnotice.notice-info {
border-right-color: #00a0d2;
}
.ippanelnotice.notice-warning {
border-right-color: #ffb900;
}
.ippanelnotice.notice-error {
border-right-color: #dc3232;
}
</style>'; print $ippanelBox; } } function ippanelsms_getCredit() { $url = "/services.jspd"; $params = array ( 'uname' => trim(PWSMS()->get_option( 'sms_gateway_username' )), 'pass' => trim(PWSMS()->get_option( 'sms_gateway_password' )), 'op' => 'credit' ); $result = ippanelsms_cUrl( $url, $params, 'POST' ); $response = json_decode($result); $res_code = $response[0]; $res_data = $response[1]; if ($res_code == '0'){ return round($res_data); }else{ return ippanelsms_getErrors($res_code); } } function ippanelsms_userPanel() { $url = "/services.jspd"; $params = array ( 'uname' => trim(PWSMS()->get_option( 'sms_gateway_username' )), 'pass' => trim(PWSMS()->get_option( 'sms_gateway_password' )), 'op' => 'usertime' ); $result = ippanelsms_cUrl( $url, $params, 'POST' ); $response = json_decode($result); $res_code = $response[0]; $res_data = $response[1]; if ($res_code == '0'){ if(!empty($res_data) &&!is_null($res_data)){ $time = strtotime($res_data); $now = new DateTime; $expire = new DateTime('@'.$time); $diff = $now->diff($expire); $remaindays = $diff->days; return $remaindays; }else{ return '-'; } }else{ return ippanelsms_getErrors($res_code); } } function ippanelsms_debug($data = null){ $file = @file_get_contents('ippanelsms_debug.txt'); if(is_array($data) || is_object($data)) $data = json_encode($data); @file_put_contents('ippanelsms_debug.txt',$file."\n".$data); return; } function ippanelsms_checkPattern(){ if(isset($_POST['patternCode'])){ $params = array( 'uname' => trim(PWSMS()->get_option( 'sms_gateway_username' )), 'pass' => trim(PWSMS()->get_option( 'sms_gateway_password' )), 'patternCode'=> esc_html(trim($_POST['patternCode'])), 'op'=> 'getPatternParams', ); $url = "/api/select"; $result = ippanelsms_cUrl( $url, json_encode($params), 'POST' ); $response = json_decode($result,true); echo json_encode($response); }else{ echo '-1'; } wp_die(); } function ippanelsms_sendtest(){ $datas = array( 'message' => $_POST['body'], 'mobile' => explode(',',$_POST['phone']), ); print PWSMS()->send_sms($datas); die(); } function ippanelsms_cUrl( $url, $params = array() , $method = 'POST' ) { $handler = curl_init("https://ippanel.com".$url); curl_setopt($handler, CURLOPT_CONNECTTIMEOUT, 20); curl_setopt($handler, CURLOPT_TIMEOUT, 30); curl_setopt($handler, CURLOPT_CUSTOMREQUEST, $method); if($method == 'POST') curl_setopt($handler, CURLOPT_POSTFIELDS, $params); curl_setopt($handler, CURLOPT_RETURNTRANSFER, true); curl_setopt($handler, CURLOPT_SSL_VERIFYHOST, 0); curl_setopt($handler, CURLOPT_SSL_VERIFYPEER, 0); $result = curl_exec($handler); if (curl_errno($handler)) { $result = curl_error($handler); return json_encode(array('-1',$result)); } return $result; } function ippanelsms_patternscript($form = null){ add_thickbox(); ?>
<div id="pattern-teach" style="display:none;">
<p>	جهت ارسال سریع پیامک پیشنهاد می شود از پترن استفاده کنید.</p><p>برای ارسال بر اساس پترن، روی ابزار تنظیم پترن کنار هر کادر متن پیامک کلیک کنید و بر اساس دستورالعملی که در ادامه می آید، پترن خود را ثبت نمایید.</p><p>در صورتی که نیاز به ارسال سریع ندارید می توانید در کادرها متن معمولی تایپ کنید و از متغیرهای قالب استفاده نمایید. این نوع ارسال، از خط اختصاصی سریع انجام می شود اما از خطوط خدماتی اشتراکی سامانه با تاخیر انجام می گیرد و پیشنهاد نمی شود.</p><p>	<strong>ثبت پترن اختصاصی:</strong></p><p>	در صورتی که بخواهید متن پیامک خود را در سامانه پیامک تبدیل به پترن نمایید از دستورالعمل زیر استفاده نمایید.</p><p>	وارد پنل پیامک خود شوید و در منوی پنل گزینه &laquo;ارسال بر اساس پترن&raquo; را کلیک کنید.</p><p>	در صفحه ظاهر شده روی دکمه &laquo;+ جدید&raquo; کلیک کنید.</p><p>متن پترن خود را وارد نمایید مانند متن زیر، سپس دکمه ثبت را کلیک نمایید:</p><p>	<strong>مشتری گرامی %name%<br />	سفارش شما به شماره %order-id% ثبت شد.<br/> مبلغ قابل پرداخت: %price%<br/><?php print get_option('blogname'); ?></strong></p><p>	(متن پترن را طبق صلاح خود وارد کنید اما حتما نام فروشگاه خود را ثبت کنید)</p><p>	بعد از ثبت موفق پترن منتظر بمانید تا بین 10 دقیقه تا دو ساعت پترن شما تایید شود. وضعیت تایید یا رد پترن خود را در همان صفحه &laquo;ارسال بر اساس پترن&raquo; پنل پیامک می توانید مشاهده نمایید.&nbsp;</p><p>	پس از اینکه پترن تایید و فعال شد، تنظیمات متن پیامک این افزونه را به شکل زیر انجام دهید:</p><p>روی لینک ابزار تنظیم پترن کلیک کنید و طبق راهنمای آن کد پترن و متغیرهایش را در کادرهای مربوطه وارد نمایید و دکمه "درج پترن در کادر مربوطه" را کلیک کنید</p><p>	سپس دکمه ذخیره تغییرات را کلیک کنید.</p>
</div>
<div id="pattern-tool-wrapper" style="display:none;">
<div id="pattern-tool">
</div>
</div>
<script>
( function ( $ ) {
function activate_pwoosms_ippanel_pattern_tools(){
var textarea_index = 1;
$('textarea.regular-text').not('#sms_notif_settings\\[notif_options\\]').each(function(){
$(this).parents('tr').addClass('pwoo_ippanel_tools trindex-'+textarea_index).attr('id','trindex-'+textarea_index);
if($(this).attr('id') == 'sms_super_admin_settings[admin_low_stock]' || $(this).attr('id') == 'sms_super_admin_settings[admin_out_stock]') $(this).parents('tr').addClass('outofstock');
textarea_index++;
});
$('tr.pwoo_ippanel_tools').find('th label').after('<div class="ippanel-tools"><a class="ippanel-patternlearn thickbox button button-secondary" href="#TB_inline?width=800&inlineId=pattern-teach">آموزش ثبت پترن</a><a class="ippanel-patterntool thickbox button button-secondary" href="#TB_inline?width=800&inlineId=pattern-tool-wrapper">ابزار تنظیم پترن</a><a class="ippanel-smstest button button-secondary">تست پیامک</a></div>');
$('.ippanel-patterntool').on('click',function(){
<?php if(isset($form['id']) && in_array($form['id'], array('sms_super_admin_settings','sms_buyer_settings','sms_product_admin_settings'))){?>
    var targetvars = $('.pwoosms_settings_shortcodes').html().replace(/code/g,'span');
    if($(this).parents('tr').hasClass('outofstock')) targetvars = '<div class="description" style="margin-top:4px;color:#616161;font-style:italic;font-size:13px;line-height:25px;"> شورت کد های قابل استفاده در متن پیامک های مرتبط با موجوی انبار :<br><span>{product_id}</span> : آیدی محصول، <span>{sku}</span> : شناسه محصول، <span>{product_title}</span> : عنوان محصول، <span>{stock}</span> : موجودی انبار</div>';
<?php
}elseif(isset($form['id']) && $form['id'] == 'sms_notif_settings'){?>
    var targetvars = '<div class="description" style="margin-top:4px;color:#616161;font-style:italic;font-size:13px;line-height:25px;"> <span>{product_id}</span> : آیدی محصول، <span>{sku}</span> : شناسه محصول، <span>{product_title}</span> : عنوان محصول، <span>{regular_price}</span> قیمت اصلی، <span>{onsale_price}</span> : قیمت فروش فوق العاده<br><span>{onsale_from}</span> : تاریخ شروع فروش فوق العاده، <span>{onsale_to}</span> : تاریخ اتمام فروش فوق العاده، <span>{stock}</span> : موجودی انبار</div>';
<?php }else{?>
    var targetvars = 'متغیری در صفحه یافت نشد. در صورتی که متغیرها را می دانید از آنها استفاده کنید.';
<?php
} ?>
var targetarea = $(this).parents('tr').find('textarea');
var patternToolText = 'پس از ثبت پترن در سامانه پیامک و تأیید آن، کد پترن را در کادر زیر وارد نمایید:<div id="onlinepattern"><label>کد پترن:</label> <input class="patterncodeinput" placeholder="کد پترن شما" type="text"><div class="pattern-message"></div><div><button class="onlinepcodechecker" type="button">بررسی پترن</button></div><div class="pcodecheckresult"></div><div class="variableshelp hidden">'+targetvars+'</div><div><button class="patterninsert hidden" type="button">ثبت پترن در کادر پیامک</button></div></div><br><div><b>راهنمایی:</b><p class="ippanelpatternstephelp"> متن پیامک خود را در سامانه پیامک > صفحه ارسال بر اساس پترن، تبدیل به پترن کنید. پس از مدتی که پترن شما تأیید شد، کد پترن را از همان صفحه ارسال بر اساس پترن کپی و در کادر فوق درج نمایید.</p></div>';
$('div#pattern-tool').html(patternToolText);

$('.onlinepcodechecker').on('click',function(){
    pcode = $('#onlinepattern .patterncodeinput').val();
    jQuery.ajax({
        type: 'post',
        async: true,
        url: '<?php print admin_url( 'admin-ajax.php' ); ?>',
        data: {
            action: 'pwoo_sms_ippanel_CheckPattern',
            patternCode: pcode,
        },
        beforeSend: function(){
            $('#onlinepattern .pattern-message').html('<span class="process-icon-loading">در حال بررسی...</span>');
        },
        success: function (json) {

            var obj = JSON.parse(json);
            console.log(obj);
            var message = '';

                  if(obj.status.code == 0){
                    $('#onlinepattern .pattern-message').html(obj.data.patternMessage.replace("\n","<br>"));
                    var pvars = obj.data.patternParams;
                    var output = '<p>لطفاً پارامترهای پترن را با متغیرهای سایت تکمیل نمایید.</p>';
                    pvars.forEach(function(value, index, array){
                        output += '<div><label>'+value+'</label><input type="text"/></div>';
                    });
                    $('.pcodecheckresult').html(output);
                    $('.variableshelp,.patterninsert').removeClass('hidden');
                    $('.onlinepcodechecker').addClass('hidden');
                    $('.ippanelpatternstephelp').html('حالا پارامترهای پترن خود را در کادرهای ظاهر شده تکمیل نمایید. از شورتکدهای زیر می توانید استفاده نمایید.');
                    var patternoutput = 'pcode:'+pcode;
                    $('.patterninsert').click(function(){
                        $('.pcodecheckresult div').each(function(){
                            if(patternoutput !== '') patternoutput += "\n";
                            patternoutput += $(this).find('label').text()+':'+$(this).find('input').val();
                        })
                        targetarea.val(patternoutput).css('direction','ltr');
                        $('.tb-close-icon').click();
                    });
                  }else if(obj.status.code == 404){
                      $('#onlinepattern .pattern-message').html('پترن در دسترس نیست. مطمئن شوید که کد پترن را درست و بدون فاصله در چپ و راستش درج کرده اید. اگر به تازگی ثبت کرده اید منتظر باشید تا توسط سامانه تایید شود.');
                  }else if(obj.status.code == 962){
                      $('#onlinepattern .pattern-message').html('نام کاربری یا رمز عبور اشتباه است. اطلاعات ورود پنل پیامکتان را درست وارد کنید.');
                  }else{
                      $('#onlinepattern .pattern-message').html('این پترن در دسترس شما نیست. اگر به تازگی ثبت کرده اید منتظر باشید تا توسط سامانه تایید شود.');
                  }
        },
        complete: function(){
            $('#onlinepattern .pattern-message .process-icon-loading').hide();
        },
    });

    return false;
});
});
$('.ippanel-smstest').on('click',function(){
$('.send-test-sms-mobile').parent().remove();
var trid = $(this).parents('tr').attr('id');
$(this).after('<div><input class="send-test-sms-mobile" id="'+trid+'_test_mobile" type="text" placeholder="mobile" /><span class="send-test-sms-btn" id="'+trid+'_sendTestSms">ارسال</span><br><span class="result"></span></div>');
$('#'+trid+'_sendTestSms').on('click',function(){
var phone = $('input#'+trid+'_test_mobile').val();
var body = $('#'+trid).find('textarea').val();
var result = pwoo_sms_ippanel_test(phone,body,$(this).parent().find('span.result'));
if(result == 'phonenotfound') {
    $('input#'+trid+'_test_mobile').focus();
    return false;
}

});
return false;
});

}
function pwoo_sms_ippanel_test(phone,body,resultbox){
if ( phone === '' ) {
alert('لطفاً یک شماره همراه برای دریافت پیامک تست وارد کنید.');
return 'phonenotfound';
}
var data  = {
action : 'pwoo_sms_ippanel_test',
phone : phone,
body : body,
};

$.post( ajaxurl, data, function( resp ) {
console.log(resp);
if ( resp == '1' ) {
      resultbox.html('<span style="color:green">پیامک تست ارسال شد.</span>');
}else{
      resultbox.html('<span style="color:red">پیامک ارسال نشد. تنظیمات درگاه و اعتبار پنل پیامک و متن ارسالی را بررسی کنید.</span>');
}
});
return false;
}
$(document).ready(function(){
activate_pwoosms_ippanel_pattern_tools();
});

} )( jQuery );
</script>
<style>
.send-test-sms-mobile {
padding: 0px 2px!important;
direction: ltr;
width: 50%;
margin: 5px;
}
.send-test-sms-btn {
background: #1a7b2f;
border-color: #1a7b2f;
color: #fff;
text-decoration: none;
text-shadow: none;
cursor: pointer;
display: inline-block;
font-size: 13px;
line-height: 2.15384615;
min-height: 30px;
margin: 0;
padding: 0 10px;
border-width: 1px;
border-style: solid;
-webkit-appearance: none;
border-radius: 3px;
white-space: nowrap;
box-sizing: border-box;
font-weight: normal;
}
.ippanel-tools a{
cursor: pointer;
}
#TB_ajaxContent{
direction: rtl;
text-align: right!important;
}
#TB_ajaxContent p {
margin: 0;
}
#onlinepattern .pattern-message {
background: #dffde1;
padding: 10px;
border-radius: 5px;
border: 1px solid #bbb;
margin: 10px;
color: #666;
}
.ippanel-tools a {
display: block!important;
width: 150px;
text-align: center;
}
</style>
    <?php
 } function ippanelsms_getErrors($error){ $errorCodes = array( '-1' => 'ارتباط با سامانه پیامک انجام نشد.', '0' => 'عملیات با موفقیت انجام شده است.', '1' => 'متن پیام خالی می باشد.', '2' => 'کاربر محدود گردیده است.', '3' => 'خط به شما تعلق ندارد.', '4' => 'گیرندگان خالی است.', '5' => 'اعتبار کافی نیست.', '7' => 'خط مورد نظر برای ارسال انبوه مناسب نمیباشد.', '9' => 'خط مورد نظر در این ساعت امکان ارسال ندارد. برای ارسال پیامک در ۲۴ ساعت شبانه روز از وب سرویس پترن استفاده نمایید', '98' => 'حداکثر تعداد گیرنده رعایت نشدهه است.', '99' => 'اپراتور خط ارسالی قطع می باشد.', '21' => 'پسوند فایل صوتی نامعتبر است.', '22' => 'سایز فایل صوتی نامعتبر است.', '23' => 'تعداد تالش در پیام صوتی نامعتبر است.', '100' => 'شماره مخاطب دفترچه تلفن نامعتبر می باشد.', '101' => 'شماره مخاطب در دفترچه تلفن وجود دارد.', '102' => 'شماره مخاطب با موفقیت در دفترچه تلفن ذخیره گردید.', '111' => 'حداکثر تعداد گیرنده برای ارسال پیام صوتی رعایت نشده است.', '131' => 'تعداد تالش در پیام صوتی باید یکبار باشد.', '132' => 'آدرس فایل صوتی وارد نگردیده است.', '301' => 'از حرف ویژه در نام کاربری استفاده گردیده است.', '302' => 'قیمت گذاری انجام نگریدهه است.', '303' => 'نام کاربری وارد نگردیده است.', '304' => 'نام کاربری قبال انتخاب گردیده است.', '305' => 'نام کاربری وارد نگردیده است.', '306' => 'کد ملی وارد نگردیده است.', '307' => 'کد ملی به خطا وارد شده است.', '308' => 'شماره شناسنامه نا معتبر است.', '309' => 'شماره شناسنامه وارد نگردیده است.', '310' => 'ایمیل کاربر وارد نگردیده است.', '311' => 'شماره تلفن وارد نگردیده است.', '312' => 'تلفن به درستی وارد نگردیده است.', '313' => 'آدرس شما وارد نگردیده است.', '314' => 'شماره موبایل را وارد نکرده اید.', '315' => 'شماره موبایل به نادرستی وارد گردیده است.', '316' => 'سطح دسترسی به نادرستی وارد گردیده است.', '317' => 'کلمه عبور وارد نگردیده است.', '455' => 'ارسال در آینده برای کد بالک ارسالی لغو شد.', '456' => 'کد بالک ارسالی نامعتبر است.', '458' => 'کد تیکت نامعتبر است.', '964' => 'شما دسترسی نمایندگی ندارید.', '962' => 'نام کاربری یا کلمه عبور نادرست می باشد.', '963' => 'دسترسی نامعتبر می باشد.', '971' => 'پترن ارسالی نامعتبر است.', '970' => 'پارامتر های ارسالی برای پترن نامعتبر است.', '972' => 'دریافت کننده برای ارسال پترن نامعتبر می باشد.', '992' => 'ارسال پیام از ساعت 8 تا 23 می باشد. برای ارسال پیامک در ۲۴ ساعت شبانه روز از وب سرویس پترن استفاده نمایید', '993' => 'دفترچه تلفن باید یک آرایه باشد', '994' => 'لطفا تصویری از کارت بانکی خود را از منو مدارک ارسال کنید', '995' => 'جهت ارسال با خطوط اشتراکی سامانه، لطفا شماره کارت بانکیه خود را به دلیل تکمیل فرایند  احراز هویت از بخش ارسال مدارک ثبت نمایید.', '996' => 'پترن فعال نیست.', '997' => 'شما اجازه ارسال از این پترن را ندارید.ه', '998' => 'کارت ملی یا کارت بانکی شما تایید نشده است.', '1001' => 'فرمت نام کاربری درست نمی باشد)حداقله ۵ کاراکتر، فقط حروف و اعداد(.', '1002' => 'گذر واژه خیلی ساده می باشد)حداقل ۸ کاراکتر بوده و نام کاربری،', 'ایمی' => ' و شماره موبایل در آن وجود نداشته باشد(.', '1003' => 'مشکل در ثبت، با پشتیبانی تماس بگیرید.', '1004' => 'مشکل در ثبت، با پشتیبانی تماس بگیرید.', '1005' => 'مشکل در ثبت، با پشتیبانی تماس بگیرید.', '1006' => 'تاریخ ارسال پیام برای گذشته می باشد، لطفا تاریخ ارسال پیام را به درستی وارد نمایید.ه', ); return (isset($errorCodes[$error])) ? $errorCodes[$error] : 'اشکال تعریف نشده با کد :' . $error; } ?>
